%define	name	pspell
%define	version	.10
%define	release	1
%define	serial	2

Summary:	Portable Spell Checker Interface Library.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Copyright:	LGPL
Group:		Applications/Text
URL:		http://pspell.sourceforge.net/
Vendor:		Kevin Atkinson <kevinatk@home.com>
Source:		%{name}-%{version}.tar.gz
BuildRoot:	/var/tmp/%{name}-%{version}

Distribution:	Freshmeat RPMs
Packager:	Ryan Weaver <ryanw@infohwy.com>

%description
The goal of the Pspell library is to provide a generic interface to
Spell checker libraries installed on the system.

%package	devel
Summary:	Static Libraries and header files for pspell
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description	devel
The goal of the Pspell library is to provide a generic interface to
Spell checker libraries installed on the system.

Static Libraries and header files for Pspell

%prep
%setup -q

%build
CFLAGS=$RPM_OPT_FLAGS CPPFLAGS=$RPM_OPT_FLAGS; export CFLAGS CPPFLAGS;
./configure --prefix=/usr --sysconfdir=/etc --enable-static

make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install-strip

cp -pr $RPM_BUILD_ROOT/usr/doc/aspell .

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
%doc README TODO aspell/*
/usr/lib/*.so.*

%files		devel
%defattr(-,root,root)
/usr/include/ltdl.h
%dir /usr/include/pspell
/usr/include/pspell/*
/usr/lib/*.a
/usr/lib/*.la
/usr/lib/*.so

%changelog
* Mon Apr  3 2000 Ryan Weaver <ryanw@infohwy.com>
  [pspell-.10-1]
- Initial RPM Build.

